package hellojpa;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
//import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;

import javax.persistence.Table;

@Entity
@Table(name = "GRADE_2")
public class Grade {
	private long gradeID = System.currentTimeMillis();
	private String name;
	private List<Student> students = new ArrayList<Student>();

	public Grade() {
	}

	public Grade(String name) {
		super();
		this.name = name;
	}

	public Grade(String name, List<Student> students) {
		super();
		this.name = name;
		this.students = students;
	}

	@Id
	// @Column(name="GRADE_ID")
	public long getGradeID() {
		return gradeID;
	}

	public void setGradeID(long gradeID) {
		this.gradeID = gradeID;
	}

	// @Column(name="GRADE_NAME")
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@OneToMany(mappedBy = "grade", cascade = CascadeType.PERSIST)
	public List<Student> getStudents() {
		return students;
	}

	public void addStudent(Student student) {
		ArrayList<Student> st_lst = (ArrayList<Student>) this.getStudents();
		st_lst.add(student);
		this.setStudents(st_lst);
		student.setGrade(this);
	}

	public void setStudents(List<Student> students) {
		this.students = students;
	}
}
